<?php
namespace Claromentis\Pages\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array();




class OptionsArray
{
    protected $data;
    protected $serialized;
    protected $unsaved;
    public function __construct(array $data, $_bb004cae259fb3370fab8d155582f994 = false)
    {
        $this->data = $data;
        $this->serialized = $_bb004cae259fb3370fab8d155582f994;
        $this->unsaved = false;
    }
    
    
    
    
    
    
    
    
    public static function GetCopy(OptionsArray $_962e0e88940893a34a1e963a9814c9d5)
    {
        $_25983d06eff5f52f829961d6bf1a7a70 = new static($_962e0e88940893a34a1e963a9814c9d5->GetData(), $_962e0e88940893a34a1e963a9814c9d5->IsSerialized());
        $_25983d06eff5f52f829961d6bf1a7a70->unsaved = true;
        return $_25983d06eff5f52f829961d6bf1a7a70;
    }
    public function GetData()
    {
        return $this->data;
    }
    public function IsSerialized()
    {
        return $this->serialized;
    }
    public function IsUnsaved()
    {
        return $this->unsaved;
    }
    public function IsEmpty()
    {
        return empty($this->data);
    }
}